<?php
include '../system/func.php';
include_once __DIR__ . '/sett.php';
include_once __DIR__ . '/WapkassaClass.php';

try {
    // Инициализация класса с id сайта и секретным ключом
    $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);

    // Проверка обработчика (PING)
    if ($wapkassa->ping($_POST)) {
        // возврат успешной проверки
        echo $wapkassa->successPing();
    } else {
        // Парсинг входящих параметров
        $params = $wapkassa->parseRequest($_POST);

        $params['id']; // id платежа в системе wapkassa
        $params['site_id']; // id площадки
        $params['time']; // время оплаты в unixtime
        $params['comm']; // комментарий платежа
        $params['amount']; // сумма платежа
        $params['add']; // массив с допольнительными параметрами

        $gold = $params['add']['count'];
        //Бонусы!
        if($gold == 100){
            $rub = 9;
            $bonus = 10;
            $bonus_c = 10000;
        }
        if($gold == 500){
            $rub = 49;
            $bonus = 50;
            $bonus_c = 50000;
        }
        if($gold == 1000){
            $rub = 99;
            $bonus = 100;
            $bonus_c = 250000;
        }
        if($gold == 5000){
            $rub = 499;
            $bonus = 500;
            $bonus_c = 1000000;
        }
        if($gold == 10000){
            $rub = 999;
            $bonus = 1000;
            $bonus_c = 5000000;
        }
        if($gold == 20000){
            $rub = 1499;
            $bonus = 10000;
            $bonus_c = 10000000;
        }
        if($gold == 50000){
            $rub = 2499;
            $bonus = 25000;
            $bonus_c = 25000000;
        }
        if($gold == 100000){
            $rub = 4999;
            $bonus = 100000;
            $bonus_c = 50000000;
        }
        $gold = $gold + $bonus;
        //$bonus_bits = $params['add']['count']*50/100;
        //$all_bits = $bits+$bonus_bits;
		//$us = mysql_fetch_assoc(mysql_query(""SELECT * FROM `users` WHERE `id` = '".$params['add']['users_id']."'"));
		$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$params['add']['users_id']."'"));

        // собственный код зачисления платежа на сайте
        if ($params['add']['type'] == 'bits' && !empty($wk_cena_bits[$params['add']['count']]) && $wk_cena_bits[$params['add']['count']] <= $params['amount']) {
            $text = "Вы успешно приобрели ".$gold." золота![br]Бонус: ".$bonus." золота![br]В подарок: + ".$bonus_c." серебра!";
            #$adm = "Купили ".$gold." золота![br]Бонус: ".$bonus." золота![br]В подарок: + ".$bonus_c." серебра!";
            mysql_query("INSERT INTO `mail` SET `in` = '0', `out` = '". $params['add']['users_id']."', `text` = '$text' , `time` = '".time()."'");
            $kont = mysql_fetch_assoc(mysql_query("SELECT * FROM `kont` WHERE `id_user` = '". $params['add']['users_id']."' && `id_kont` = '0' LIMIT 1"));
            if(!$kont){
            mysql_query("INSERT INTO `kont` SET `id_user` = '". $params['add']['users_id']."', `id_kont` = '0', `time` = '".time()."'");
            }else{
            mysql_query("update `kont` set `time` = '".time()."' WHERE `id_user` = '". $params['add']['users_id']."' AND `id_kont` = '0'");
            }
            mysql_query("update `users` set `gold`=`gold` + ".$gold.", `crystals` = `crystals` + ".$bonus_c.", `quest_5_coll` = `quest_5_coll`+".$gold.", `quest_6_coll` = `quest_6_coll`+".$gold." WHERE `id` = '". $params['add']['users_id'] . "'");
            //mysql_query("update `users` set `gold`=`gold` + " . $params['add']['count'] . " where `id`='" . $params['add']['user_id'] . "'");
        

        }
        // возврат успешной обработки
        echo $wapkassa->successPayment();
    }
} catch (Exception $e) {
    // вывод ошибки
    echo 'WARRNING - ' . $e->getMessage() . PHP_EOL;
}
?>